Run of fresh-releases for pskracker

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
[2022-11-27 05:09:53] Opening branch at https://gitlab.com/kalilinux/packages/pskracker.git/,branch=kali%2Fmaster
[2022-11-27 05:09:53] Using cached branch file:///home/janitor/vcs/git/pskracker/,branch=kali%2Flatest
[2022-11-27 05:09:53] Using resume branch: https://gitlab.com/kali-bot/pskracker.git,branch=new-upstream%2Fmain
[2022-11-27 05:10:18] (25/31)
[2022-11-27 05:10:18] Total 35 (delta 4), reused 0 (delta 0), pack-reused 3
[2022-11-27 05:10:35] All changes applied successfully.
[2022-11-27 05:10:41]  (7/7), done.
Compressing objects:  16% (1/6)
Compressing objects:  33% (2/6)
Compressing objects:  50% (3/6)
Compressing object
[2022-11-27 05:10:41] elta 0), reused 7 (delta 0), pack-reused 3
[2022-11-27 05:10:44] ck-reused 0
[2022-11-27 05:10:51] Total 3 (delta 0), reused 0 (delta 0), pack-reused 3
[2022-11-27 05:10:55] Workspace ready - starting.
[2022-11-27 05:10:58] Running ['deb-new-upstream', '--debian-revision=0kali1', '--require-uscan', '--refresh-patches', '--skip-empty']
[2022-11-27 05:10:58] Assuming changelog does not need to be updated, since there is a [dch] section in gbp.conf.
Using upstream branch https://github.com/soxrok2212/PSKracker.git (from configuration)
Using upstream branch https://github.com/soxrok2212/PSKracker.git (from configuration)
Total 816 (delta 80), reused 85 (delta 71), pack-reused 710
Total 816 (delta 80), reused 85 (delta 71), pack-reused 710
Using version string 0.3.1+git20221118.
Old upstream version '0.3.1+git20220814' is not present in upstream branch <UpstreamBranchSource for 'https://github.com/soxrok2212/PSKracker.git/'>. Unable to determine whether upstream history is normally included. Assuming no.
Using uscan to look for the upstream tarball.
Using uscan to look for the upstream tarball.
uupdate: debian/source/format is "3.0 (quilt)".
uupdate: Auto-generating pskracker_0.3.1+git20220814-0kali1.debian.tar.xz
uupdate: -> Copy to      pskracker_0.3.1+git20221118-1.debian.tar.xz
Revision b'git-v1:f9b853a6b8d0abb340971d67fde902929b947d82' exists in repository but not in upstream branch, ignoring
Revision b'git-v1:f9b853a6b8d0abb340971d67fde902929b947d82' exists in repository but not in upstream branch, ignoring
Revision b'git-v1:f9b853a6b8d0abb340971d67fde902929b947d82' exists in repository but not in upstream branch, ignoring
Revision b'git-v1:f9b853a6b8d0abb340971d67fde902929b947d82' exists in repository but not in upstream branch, ignoring
Searching for revision importing pskracker version 0.3.1+git20220814 on branch upstream, packaging branch.
Searching for revision importing pskracker version 0.3.1+git20220814 on branch upstream, packaging branch.
Upstream import of 0.3.1+git20220814 lacks a tag. Set one by running: brz tag -rrevid:git-v1:f9b853a6b8d0abb340971d67fde902929b947d82 upstream/0.3.1+git20220814
Upstream import of 0.3.1+git20220814 lacks a tag. Set one by running: brz tag -rrevid:git-v1:f9b853a6b8d0abb340971d67fde902929b947d82 upstream/0.3.1+git20220814
Revision b'git-v1:08fbb976220760c884a282966f67feca5cbe54d6' exists in repository but not in upstream branch, ignoring
Revision b'git-v1:08fbb976220760c884a282966f67feca5cbe54d6' exists in repository but not in upstream branch, ignoring
Revision b'git-v1:08fbb976220760c884a282966f67feca5cbe54d6' exists in repository but not in upstream branch, ignoring
Revision b'git-v1:08fbb976220760c884a282966f67feca5cbe54d6' exists in repository but not in upstream branch, ignoring
Imported pskracker_0.3.1+git20221118.orig.tar.xz with pristine-tar.
Imported pskracker_0.3.1+git20221118.orig.tar.xz with pristine-tar.
All changes applied successfully.
All changes applied successfully.
Changelog last touched at '9f0b16dea2d36c3d54683f5beba0ae125d4c3242'
Continuing from commit '9f0b16dea2d36c3d54683f5beba0ae125d4c3242'
Committing to: /home/janitor/tmp/janitorv64l8kqw/pskracker.git/
Committing to: /home/janitor/tmp/janitorv64l8kqw/pskracker.git/
modified debian/changelog
modified debian/changelog
modified dicts/netgear-spectrum/netgear-spectrum.txt
modified dicts/netgear-spectrum/netgear-spectrum.txt
modified dicts/netgear-spectrum/words.txt
modified dicts/netgear-spectrum/words.txt
Committed revision 15.
Committed revision 15.
Merged new upstream version 0.3.1+git20221118 (previous: 0.3.1+git20220814)
Refresh quilt patches.
Committing to: /home/janitor/tmp/janitorv64l8kqw/pskracker.git/
Committing to: /home/janitor/tmp/janitorv64l8kqw/pskracker.git/
Merge new upstream version 0.3.1+git20221118
[2022-11-27 05:16:50] Opened schroot session kali-dev-amd64-sbuild-560b414e-f88b-42a3-a9c7-81b7352052f2 (from kali-dev-amd64-sbuild)
[2022-11-27 05:16:50] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, debcargo_coerce_unacceptable_prerelease), SimpleBuildFixer(DebcargoUnacceptableComparator, debcargo_coerce_unacceptable_prerelease), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f9f662f5af0>, [functools.partial(<function python_tie_breaker at 0x7f9f664a71f0>, <GitWorkingTree of /home/janitor/tmp/janitorv64l8kqw/pskracker.git>, ''), BuildDependencyTieBreaker(LocalApt('/var/run/schroot/mount/kali-dev-amd64-sbuild-560b414e-f88b-42a3-a9c7-81b7352052f2')), <function popcon_tie_breaker at 0x7f9f664b18b0>]))]
[2022-11-27 05:16:50] Building debian packages, running 'sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes'.
[2022-11-27 05:22:21] Built ['pskracker_0.3.1+git20221118-0kali1~jan+nur1_amd64+jan.changes', 'pskracker_0.3.1+git20221118-0kali1~jan+nur1_source.changes'].
[2022-11-27 05:22:22] Running lintian
[2022-11-27 05:22:30] Pushing result branch to 'https://janitor.kali.org/git/pskracker'
[2022-11-27 05:22:32] Pushing packaging branch cache to https://janitor.kali.org/git/pskracker,branch=kali%2Flatest
Traceback (most recent call last):
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/transport/local.py", line 148, in get
    return open(path, 'rb')
OSError: [Errno 24] Too many open files: '/home/janitor/vcs/git/pskracker/objects/pack/pack-121c8020725677a2a6a48946e6cf805cec1ef2e6.pack'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/venv/lib/python3.9/site-packages/janitor/worker.py", line 1049, in run_worker
    push_branch(
  File "/home/janitor/venv/lib/python3.9/site-packages/backoff/_sync.py", line 105, in retry
    ret = target(*args, **kwargs)
  File "/home/janitor/venv/lib/python3.9/site-packages/janitor/worker.py", line 674, in push_branch
    target.push_branch(
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/git/dir.py", line 374, in push_branch
    push_result.branch_push_result = source.push(
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/branch.py", line 1084, in push
    return InterBranch.get(self, target).push(
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/branch.py", line 2356, in push
    result = self._basic_push(
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/git/branch.py", line 1273, in _basic_push
    result.old_revid = self.target.last_revision()
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/git/branch.py", line 691, in last_revision
    return self.lookup_foreign_revision_id(self.head)
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/git/branch.py", line 700, in lookup_foreign_revision_id
    return self.repository.lookup_foreign_revision_id(foreign_revid,
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/git/repository.py", line 443, in lookup_foreign_revision_id
    commit = self._git.object_store.peel_sha(foreign_revid)
  File "/home/janitor/venv/lib/python3.9/site-packages/dulwich/object_store.py", line 337, in peel_sha
    obj = self[sha]
  File "/home/janitor/venv/lib/python3.9/site-packages/dulwich/object_store.py", line 145, in __getitem__
    type_num, uncomp = self.get_raw(sha)
  File "/home/janitor/venv/lib/python3.9/site-packages/dulwich/object_store.py", line 587, in get_raw
    for pack in self._update_pack_cache():
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/git/transportgit.py", line 644, in _update_pack_cache
    pack_name, self.pack_transport.get(pack_name),
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/transport/local.py", line 152, in get
    self._translate_error(e, path)
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/transport/__init__.py", line 391, in _translate_error
    raise errors.TransportError(orig_error=e)
breezy.errors.TransportError: Transport error: [Errno 24] Too many open files: '/home/janitor/vcs/git/pskracker/objects/pack/pack-121c8020725677a2a6a48946e6cf805cec1ef2e6.pack' [Errno 24] Too many open files: '/home/janitor/vcs/git/pskracker/objects/pack/pack-121c8020725677a2a6a48946e6cf805cec1ef2e6.pack'
Full worker log

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☑ command has not changed
  • ☑ review not required
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☑ proposals not currently being rate-limited for maintainer None
  • ☒ change set 0809f338-5bff-4f16-89d8-f5c8798bf4b3 is working
  • ☒ merge proposals for previous run were rejected: status.